Loading...
Searching...
No Matches
DebugHandler::WebSocketDebugHandler Class Reference

the main web socket debug handler class implementing internal protocol in YAML format. More...

Inheritance diagram for DebugHandler::WebSocketDebugHandler:
[legend]

## Public Member Functions

| constructor (WebSocketDebugProgramControl dpc, *HttpServer::AbstractAuthenticator auth, *hash opts)
| create the object optionally with the given AbstractAuthenticator
string | encodeData (auto data)
| encode data as YAML
*string | getContentType ()
| returns the MIME type for serialized data
| receiveData (hash cx, string msg)
| called when web socket receive data
Public Member Functions inherited from DebugHandler::AbstractWebSocketDebugHandler
| broadcastData (auto data)
| sends data to all connections
abstract string | encodeData (auto data)
| encode websocket data
WebSocketHandler::WebSocketConnection | getConnectionImpl (hash cx, hash hdr, string cid)
| called when a connection is established; the default implementation creates a WebSocketConnection object
abstract *string | getContentType ()
| returns the MIME type for serialized data
hash | handleRequest (hash cx, hash hdr, *data b)
| called by the HTTP server to handle incoming HTTP requests
abstract | receiveData (hash cx, string msg)
| called when web socket receives data
| sendData (hash cx, auto data)
| sends data to the given connection

## Detailed Description

the main web socket debug handler class implementing internal protocol in YAML format.

## Member Function Documentation

## constructor()

DebugHandler::WebSocketDebugHandler::constructor | ( | WebSocketDebugProgramControl | dpc,
|  | *HttpServer::AbstractAuthenticator | auth,
|  | *hash | opts
| ) |  |

create the object optionally with the given AbstractAuthenticator

Parameters

  auth | the authentication object to use to authenticate connections (see AbstractAuthenticator); if no AbstractAuthenticator object is passed, then by default no authentication will be required
  dpc | the debug program controller object
  opts | passed to WebSocketHandler constructor